Distribution: 	CCux
Packager: 	Karsten Brockmann  <arcam@ccux.de>
Name: 		manslide
Version: 	1.2
Release: 	1
Source0: 	%{name}.tar.gz
Source1:	%{name}.desktop
Source2:        %{name}.png
Summary: 	slideshow creation tool
URL: 		http://www.kde-apps.org/content/show.php?content=52227
License: 	GNU/GPL
Group: 		Video
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libGL-devel
BuildRequires:  libGLU-devel
BuildRequires:  libICE-devel
BuildRequires:  qt4-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXi-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  glibc-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  glib-devel
BuildRequires:  libpng-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel

%description
Manslide is a tool for generating slideshows. It supports 3D special effects and is very simple to use.
This is a QT4 application.

%prep
%setup -n Manslide


%build
# we need to put qt4 in front of $PATH as we
# don't want to pull in old qt3 tools
export PATH=/opt/qt4/bin:$PATH
# lower the OPTFLAGS
#export CFLAGS='-O2 -march=i686 -pipe -fomit-frame-pointer'
#export CXXFLAGS=$CFLAGS
qmake

make 

%install
%{__rm} -rf %{buildroot}

# install files manually, install target does not
# exist
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_datadir/Manslide

cp Manslide $RPM_BUILD_ROOT%_datadir/Manslide/
cp -R Effects $RPM_BUILD_ROOT%_datadir/Manslide/
cp -R Interface $RPM_BUILD_ROOT%_datadir/Manslide/
cp -R manslide_en.qm $RPM_BUILD_ROOT%_datadir/Manslide/
cp -R manslide_en.ts $RPM_BUILD_ROOT%_datadir/Manslide/
ln -s %_datadir/Manslide/Manslide $RPM_BUILD_ROOT%_bindir/manslide

# desktop integration
mkdir -p $RPM_BUILD_ROOT%_applications
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_applications/
mkdir -p $RPM_BUILD_ROOT%_pixmaps
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%_pixmaps/


# now strip the binaries 
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 
#rm -rf $RPM_BUILD_ROOT/usr/share/info/dir


%files
%defattr(-,root,root)
%_bindir
%_datadir/Manslide
%_datadir/applications
%_datadir/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jan 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2-1
- Initial release

